#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 46. Printing

- Prev

  cups-browsed-2.1.1

- Next

  ghostscript-10.07.0

- Up
- Home

# cups-filters-2.0.1

## Introduction to CUPS Filters

The CUPS Filters package is only needed to adapt libcupsfilters-2.1.1 and libppd-2.1.1 filter functions for cups-2.x. It should not be needed for cups-3.x.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/OpenPrinting/cups-filters/releases/download/2.0.1/cups-filters-2.0.1.tar.xz

- Download MD5 sum: b40d0f135af414666e1c3917983a1bb3

- Download size: 440 KB

- Estimated disk space required: 9.0 MB

- Estimated build time: less than 0.1 SBU (Using parallelism=4)

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/svn/cups-filters-2.0.1-security_fix-1.patch

### CUPS Filters Dependencies

#### Required

libcupsfilters-2.1.1 and libppd-2.1.1

#### Optional (runtime)

cups-browsed-2.1.1 (if you need Network Discovery capabilities)

## Installation of CUPS Filters

First, fix a problem when building with gcc-15:

    sed -i '/proc_func)()/s/()/(FILE*, FILE*, void*)/' filter/foomatic-rip/process.h

Next, fix a security vulnerability:

    patch -Np1 -i ../cups-filters-2.0.1-security_fix-1.patch

Install CUPS Filters by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/cups-filters-2.0.1 &&
    make

This package does not come with a functional test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: driverless, driverless-fax, and foomatic-rip
Installed Libraries: None
Installed Directories: /usr/lib/cups/{backend,driver,filter}, /usr/share/doc/cups-filters-2.0.1, and /usr/share/ppd/cupsfilters

### Short Descriptions

driverless | is a PPD generator utility for driverless printing
driverless-fax | is a wrapper to driverless for FAX type devices
foomatic-rip | is a universal print filter/RIP wrapper which can be used as CUPS filter or stand-alone for spooler-less, direct printing

- Prev

  cups-browsed-2.1.1

- Next

  ghostscript-10.07.0

- Up
- Home